%define	upstream_name    YAML-Syck
%define upstream_version 1.34

%{?perl_default_filter}

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Fast, lightweight YAML loader and dumper
License:    MIT
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
Provides:   perl-YAML-parser

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc COMPATIBILITY COPYING Changes META.json META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorarch}/JSON
%{perl_vendorarch}/YAML
%{perl_vendorarch}/auto/YAML

%changelog
* Wed Oct 28 2020 tv <tv> 1.340.0-1.mga8
+ Revision: 1639944
- update to 1.34

* Wed Jun 17 2020 umeabot <umeabot> 1.320.0-3.mga8
+ Revision: 1595315
- Rebuild for perl 5.32

* Thu Feb 20 2020 umeabot <umeabot> 1.320.0-2.mga8
+ Revision: 1545299
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.320.0-1.mga8
+ Revision: 1484386
- update to 1.32

* Tue Aug 27 2019 tv <tv> 1.310.0-2.mga8
+ Revision: 1433188
- rebuild with perl-5.30

* Fri Oct 26 2018 tv <tv> 1.310.0-1.mga7
+ Revision: 1325634
- update to 1.31

* Fri Sep 21 2018 umeabot <umeabot> 1.300.0-5.mga7
+ Revision: 1294075
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 1.300.0-4.mga7
+ Revision: 1247448
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.300.0-3.mga7
+ Revision: 1167471
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.300.0-2.mga7
+ Revision: 1149441
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.300.0-1.mga7
+ Revision: 1127919
- New version 1.30 + spec modernize

* Sat Jul 22 2017 neoclust <neoclust> 1.290.0-6.mga7
+ Revision: 1126646
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-5.mga6
+ Revision: 1036183
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.290.0-4.mga6
+ Revision: 958267
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.290.0-3.mga6
+ Revision: 845586
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.290.0-2.mga6
+ Revision: 840562
- Rebuild for new perl

* Mon Jun 22 2015 sander85 <sander85> 1.290.0-1.mga6
+ Revision: 839262
- update to 1.29

* Sun Oct 19 2014 umeabot <umeabot> 1.270.0-7.mga5
+ Revision: 789139
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-6.mga5
+ Revision: 749303
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.270.0-5.mga5
+ Revision: 731920
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-4.mga5
+ Revision: 686992
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.270.0-3.mga5
+ Revision: 631904
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 524572
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.270.0-1.mga4
+ Revision: 431142
- update to 1.27
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.220.0-3.mga4
+ Revision: 430125
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 375317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.220.0-1.mga3
+ Revision: 342362
- update to 1.22

* Wed Sep 26 2012 jquelin <jquelin> 1.210.0-1.mga3
+ Revision: 298008
- update to 1.21

* Wed May 30 2012 jquelin <jquelin> 1.200.0-2.mga3
+ Revision: 251358
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 1.200.0-1.mga2
+ Revision: 212973
- update to 1.20

* Tue Nov 08 2011 jquelin <jquelin> 1.190.0-1.mga2
+ Revision: 165531
- update to 1.19

* Tue Nov 08 2011 jquelin <jquelin> 1.180.0-1.mga2
+ Revision: 165454
- remove MYMETA from %%doc
- update to 1.18

* Sat Jun 11 2011 sander85 <sander85> 1.170.0-2.mga2
+ Revision: 103925
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 31516
- mageia rebuild
- imported package perl-YAML-Syck

